#pragma once

#include "Effect.h"

class BigClockEffect : public Effect {
private:
	CRGB _color_font = CRGB(0xAAAAAA);
    CRGB _color_seconds_light = CRGB(0xFFFF00);
    CRGB _color_seconds_dark = CRGB(0xFF0000);

    void _draw_seconds();
    void _draw_border_pixel(uint8_t second, uint8_t part, CRGB* color);

public:
    void loop(uint16_t ms);
    String get_name() override { return "big_clock"; }
};
